HoloLens Emulator (1st edition) failed to install. Needs Universal Windows Platform tool extension optional feature for Unity

0

I have been trying to install the HoloLens emulator with no success. I have installed and uninstalled the windows SDK, Installed and enabled visual studios as the external editor and installed the UWP tools when I installed VS 2019. I have Windows 10 Pro installed and Unity 2018.4 .HoloLens Emulator installation failure

I have installed the Windows 10 SDK (10.0.17763.0) through the VS Installer. When I run the HoloLens Installer I get these log errors.

ValidateVisualStudioVersion:  Visual Studio 2017 meets the minimum version requirement for Visual Studio.
MSI (s) (9C!94) [19:46:56:168]: PROPERTY CHANGE: Adding DEV15_DIR property. Its value is 'C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\IDE'.
ValidateVisualStudioVersion:  Attempting to set property DEV15_DIR for VS 15:
MSI (s) (9C!94) [19:46:56:169]: PROPERTY CHANGE: Adding DEV15DEVENV property. Its value is 'C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\IDE\DevEnv.exe'.
ValidateVisualStudioVersion:  Attempting to set property DEV15DEVENV for VS 15:
ValidateVisualStudioVersion:  Error 0x80070057: Failed to acquire a detected Windows SDK version property string in custom action.
MSI (s) (9C!94) [19:46:56:175]: Product: Windows Mixed Reality Templates for Visual Studio -- Error 1608. This product requires Microsoft Visual Studio 2015 or newer. It also requires the Universal Windows Platform tools optional feature of Visual Studio.

Please install Visual Studio with the Universal Windows Platform tools optional feature and try again.

Error 1608. This product requires Microsoft Visual Studio 2015 or newer. It also requires the Universal Windows Platform tools optional feature of Visual Studio.

Please install Visual Studio with the Universal Windows Platform tools optional feature and try again.
CustomAction ValidateVisualStudioVersionCustomAction returned actual error code 1603 (note this may not be 100% accurate if translation happened inside sandbox)
Action ended 19:46:56: ValidateVisualStudioVersionCustomAction. Return value 3.
Action ended 19:46:56: INSTALL. Return value 3.
visual-studio
unity3d
uwp
hololens
asked on Stack Overflow Jan 19, 2020 by Joaquin Batista • edited Jan 20, 2020 by Hernando - MSFT

2 Answers

1

The log message points out that an error occurred while installing Mixed Reality Templates. Please try to uncheck [Windows Mixed Reality Templates for Visual Studio] in the step [Select the features you want to install], and the mixed reality app templates are available on the Visual Studio marketplace as a web download.

answered on Stack Overflow Jan 20, 2020 by Hernando - MSFT
0

By the way, you can continue to use VS2019 with HL1 after you get the emulator installed. I don't know why you need to get the UWP Tools from VS2017 or VS2015. I'm not sure on the exact requirements that they satisfy but that's what you need. I actually ran into this last week and was baffled for a while. But if you want to install the HoloLens 1st Gen emulator then it's best to install UWP 2017 tools first, then you can go back to 2019. Glad to see you got it figured out faster than I did.

answered on Stack Overflow Jan 21, 2020 by EvanMiller

User contributions licensed under CC BY-SA 3.0